services:
  scraper:
    image: jrembold/web2db
    environment:
      SITE_URL: https://en.wikipedia.org/wiki/List_of_countries_and_dependencies_by_population
      DATABASE_URL: postgresql://jedediah:secret@db:5432/postgres
      TABLE_NAME: nothere
    depends_on:
      - db

  db:
    image: postgres:17
    environment:
      POSTGRES_USER: jedediah
      POSTGRES_PASSWORD: secret
    ports:
      - "5050:5432"
    volumes:
      - ./pgdata:/var/lib/postgresql/data
      - ./mntdata:/mnt/data

